> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create user device

> This endpoint is used to create user devices for fraud tracking



## OpenAPI

````yaml /api-reference/openapi.documented.json post /api/users/devices
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/users/devices:
    post:
      tags:
        - Identity
      summary: Create user device
      description: This endpoint is used to create user devices for fraud tracking
      parameters: []
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type: object
              properties:
                userId:
                  type: string
                  format: uuid
                walletAddress:
                  type: string
                ipAddress:
                  type: string
                  description: IP address of the user device
                  example: 123.456.789.012
                deviceIdentifier:
                  type: string
                  description: Device identifier of the user device
              required:
                - ipAddress
              title: Create User Device Schema
              description: Schema for a create user device schema
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    title: ID
                    description: Unique identifier for the user device
                    example: 123e4567-e89b-12d3-a456-426614174000
                  websiteId:
                    type: string
                    format: uuid
                    title: Website ID
                    description: Unique identifier for the website
                    example: 123e4567-e89b-12d3-a456-426614174001
                  organizationId:
                    type: string
                    format: uuid
                    title: Organization ID
                    description: Unique identifier for the organization
                    example: 123e4567-e89b-12d3-a456-426614174002
                  ipAddress:
                    type: string
                    title: IP Address
                    description: IP address of the user device
                    example: 123.456.789.012
                  deviceIdentifier:
                    type: string
                    title: Device identifier
                    description: Device identifier of the user device
                  source:
                    type: string
                    title: Source
                    description: Source of the user device
                  createdAt:
                    type: string
                    format: date-time
                    title: Created At
                    description: Timestamp when the wallet was created
                    example: '2023-10-01T12:34:56Z'
                required:
                  - id
                  - websiteId
                  - organizationId
                  - ipAddress
                  - source
                  - createdAt
                title: User Device Schema
                description: Schema for a user device
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Request body is invalid
                required:
                  - message
                title: Bad Request Response
                description: Schema for bad request response
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    title: Success
                    description: Indicates operation success
                    example: false
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Internal server error
                  debugInfo:
                    type: string
                    title: Debug Info
                    description: Optional debug information
                    example: Stack trace or additional error details
                required:
                  - success
                  - message
                title: Internal Server Error Response
                description: Schema for internal server error response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````